<?php
//TITLE=SND file v3 handler

$title = 'SND file v3 handler';
$progname = 'sndtool2';

$text = array(
   'purpose:1. Purpose' => "

Read SND file, play it, convert it to S3M or MIDI.

", 'format:1. SND file format' => "

SND is a file format for storing NES
(and some other console) music (almost) losslessly.

<pre>".htmlspecialchars(join('',file('/home/bisqwit/src/sndtool2/sndform.txt')))."</pre>

The program converts the SND to MidiS3M with Adlib instruments.<br>
PCM samples are converted into S3M digital samples.<br>
Conversion to MIDI format is also supported, but it
doesn't save the PCM samples.

", 'examples:1. Examples' => "

<a href=\"/src/sndtool2-examples.zip\">This zip file</a> contains
some S3M files generated by sndtool2 (only the instrument list
has been finetuned by hand) and one MIDI generated by sndtool2
(not edited).<br>
Note that the S3M files use adlib instruments.<br>
Most mod players are unable to playback them, and most
of the rest which can, only use an emulator which isn't
perfect.

", 'status:1. Development status' => "

The program works, but isn't yet ready for users.<br>
Command line options have to be implemented and the
instrument type heuristics enhanced.<br>
Three primary goals are:
<ul>
 <li>To shrink the amount of manual finetuning
   work needed after the conversion to minimum.</li>
 <li>To produce as exact conversion as possible,
  without hindering the next:</li>
 <li>To produce as readable and editable
  conversion as possible.</li>
</ul>

", 'copying:1. Copying' => "

sndtool2 has been written by Joel Yliluoma, a.k.a.
<a href=\"http://iki.fi/bisqwit/\">Bisqwit</a>,<br>
and is distributed under the following terms:<br>
<blockquote><code>".
str_replace("\n",'<br>',htmlspecialchars(fread(fopen('/WWW/TINYFREELICENSE','r'),filesize('/WWW/TINYFREELICENSE')))).
"</code></blockquote>

", 'req:1. Requirements' => "

GNU tools are always good to have near.

", '1. See also' => "

<ul>
 <li><a href=\"/source/opl3emu.html\">opl3emu</a> emulates the
      OPL3 chip (which is known also as the FM synthesis chip
      or AdLib). I'm investigating how OPL works so that I could
      make a good adsr-based instrument detection here.</li>
</ul>

");
include '/WWW/progdesc.php';
